PDA

View Full Version : SLES 12 SLES Registration Failed



kra28
28-Nov-2018, 14:23
Hello,
after I canceled the migration from SLES12 to SLES12 SP3 the registration has been removed, now I get:

SUSEConnect -r <code> -e <email>
Error: SCC returned 'The subscription with the provided Registration Code does not include the requested product 'SUSE Linux Enterprise Server 12 x86_64'' (422)

zypper pd -i gets:
S | Repository | Internal Name | Name | Version | Arch | Is Base
--+------------+-----------------------+---------------------------------------------------+---------+--------+--------
i | @System | SLES | SUSE Linux Enterprise Server 12 | 12-0 | x86_64 | Yes
i | @System | sgi-foundation | SGI Foundation Software 2.13 | 2.13-0 | x86_64 | No
i | @System | sle-module-containers | Containers module | 12-0 | x86_64 | No
i | @System | sle-sdk | SUSE Linux Enterprise Software Development Kit 12 | 12-0 | x86_64 | No

In https://scc.suse.com I see 4 subscriptions like:
SUSE Linux Enterprise High Performance Computing, x86-64, 1-2 Sockets, L3 Standard Subscription

Thank you for any solution,

Michal

malcolmlewis
28-Nov-2018, 15:05
Hi and welcome to the Forum :)
I would guess it doesn't know what product your wanting to install (SP0, SP1, SP2 or SP3), so you need to check what 'products' are available first and add that to the registration string;



SUSEConnect --list-extensions

SUSEConnect -e <email> -r <regcode> -p <your product>

kra28
28-Nov-2018, 15:16
Hi and welcome to the Forum :)
I would guess it doesn't know what product your wanting to install (SP0, SP1, SP2 or SP3), so you need to check what 'products' are available first and add that to the registration string;



SUSEConnect --list-extensions

SUSEConnect -e <email> -r <regcode> -p <your product>


Thank you, but for:
SUSEConnect --list-extensions

I get:
Error: SCC returned 'The requested product 'SUSE Linux Enterprise Server 12 x86_64' has not been activated on this system.' (422)

For: zypper pd -i
I get:

S | Repository | Internal Name | Name | Version | Arch | Is Base
--+------------+-----------------------+---------------------------------------------------+---------+--------+--------
i | @System | SLES | SUSE Linux Enterprise Server 12 | 12-0 | x86_64 | Yes
i | @System | sgi-foundation | SGI Foundation Software 2.13 | 2.13-0 | x86_64 | No
i | @System | sle-module-containers | Containers module | 12-0 | x86_64 | No
i | @System | sle-sdk | SUSE Linux Enterprise Software Development Kit 12 | 12-0 | x86_64 | No

Finally for:
SUSEConnect -r <rcode> -e <email> -p SLES/12-0/x86_64

I also get:
Error: SCC returned 'The subscription with the provided Registration Code does not include the requested product 'SUSE Linux Enterprise Server 12 x86_64'' (422)

Thank you for a solution.

Michal

malcolmlewis
28-Nov-2018, 15:40
Hi
Looks like the HPC version is not for SLES 12, came out on SP2. On SCC if you look under Subscriptions and then the Base and Extension tab, do you see SLES 12 listed?

I would suggest grab a SLES 60 day evaluation subscription and use that for your SLES 12 install, or perhaps update to SLES 12 HPC SP2 to use your existing code.

kra28
28-Nov-2018, 16:55
Hi
Looks like the HPC version is not for SLES 12, came out on SP2. On SCC if you look under Subscriptions and then the Base and Extension tab, do you see SLES 12 listed?

I would suggest grab a SLES 60 day evaluation subscription and use that for your SLES 12 install, or perhaps update to SLES 12 HPC SP2 to use your existing code.

In SCC I see the following base products:
Product Repositories
SUSE Linux Enterprise High Performance Computing 12 SP2 10 repositories
SUSE Linux Enterprise High Performance Computing 12 SP3 10 repositories
SUSE Linux Enterprise High Performance Computing 15 5 repositories

for: SUSEConnect -r <c> -e <e> -p SLES/12-2/x86_64
I get:
Error: SCC returned 'The subscription with the provided Registration Code does not include the requested product 'SUSE Linux Enterprise Server 12 SP2 x86_64'' (422)

for: SUSEConnect -r <r> -e <e> -p SUSE Linux Enterprise High Performance Computing/12-0/x86_64
I get:
Please provide the product identifier in this format: <internal name>/<version>/<architecture>. For installed products you can find these values by calling: 'zypper products'.

and for: zypper products
I am in a cycle.

Michal

malcolmlewis
28-Nov-2018, 17:40
In SCC I see the following base products:
Product Repositories
SUSE Linux Enterprise High Performance Computing 12 SP2 10 repositories
SUSE Linux Enterprise High Performance Computing 12 SP3 10 repositories
SUSE Linux Enterprise High Performance Computing 15 5 repositories

for: SUSEConnect -r <c> -e <e> -p SLES/12-2/x86_64
I get:
Error: SCC returned 'The subscription with the provided Registration Code does not include the requested product 'SUSE Linux Enterprise Server 12 SP2 x86_64'' (422)

for: SUSEConnect -r <r> -e <e> -p SUSE Linux Enterprise High Performance Computing/12-0/x86_64
I get:
Please provide the product identifier in this format: <internal name>/<version>/<architecture>. For installed products you can find these values by calling: 'zypper products'.

and for: zypper products
I am in a cycle.

Michal
Hi
Since your code is only for SLES SP2 HPC, either as suggested, grab an 60 day evaluation code to re-register the system, or grab the SP2 iso im,age and burn to USB/DVD and do an off line upgrade to SP2 where your code will work;

https://download.suse.com/Download?buildid=Uu5qXGWtFl0~

You only need DVD1 for the install....

kra28
29-Nov-2018, 15:50
Hi
Since your code is only for SLES SP2 HPC, either as suggested, grab an 60 day evaluation code to re-register the system, or grab the SP2 iso im,age and burn to USB/DVD and do an off line upgrade to SP2 where your code will work;

https://download.suse.com/Download?buildid=Uu5qXGWtFl0~

You only need DVD1 for the install....

Thank you, I got the trial evaluation code for SLES12 and registered the system. Now I can migrate SLES12 to SLES12 SP1-SP3 or SLES12-HPC SP2-SP3. But there are some troubles with the package SGI-Foundation 2.13 (the system is SGI UV2000). I solve it with HPe now.

Thank you again.

Michal